Package org.apache.el

## Class ExpressionFactoryImpl

- java.lang.Object
- - javax.el.ExpressionFactory
  - - org.apache.el.ExpressionFactoryImpl

    public class ExpressionFactoryImpl
    extends ExpressionFactory

Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  `ExpressionFactory`

### Constructor Summary

Constructors
`ExpressionFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `coerceToType​(java.lang.Object obj, java.lang.Class<?> type)` Coerce the supplied object to the requested type.
`MethodExpression` `createMethodExpression​(ELContext context, java.lang.String expression, java.lang.Class<?> expectedReturnType, java.lang.Class<?>[] expectedParamTypes)` Create a new method expression instance.
`ValueExpression` `createValueExpression​(java.lang.Object instance, java.lang.Class<?> expectedType)`
`ValueExpression` `createValueExpression​(ELContext context, java.lang.String expression, java.lang.Class<?> expectedType)` Create a new value expression.
`ELResolver` `getStreamELResolver()`

### Methods inherited from class javax.el.ExpressionFactory

`getInitFunctionMap, newInstance, newInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionFactoryImpl

    public ExpressionFactoryImpl()

### Method Detail

#### coerceToType

    public java.lang.Object coerceToType​(java.lang.Object obj,
                                         java.lang.Class<?> type)

Description copied from class: `javax.el.ExpressionFactory`
Coerce the supplied object to the requested type.

Specified by:
  `coerceToType` in class `ExpressionFactory`
Parameters:
  `obj` - The object to be coerced
  `type` - The type to which the object should be coerced
Returns:
  An instance of the requested type.

#### createMethodExpression

    public MethodExpression createMethodExpression​(ELContext context,
                                                   java.lang.String expression,
                                                   java.lang.Class<?> expectedReturnType,
                                                   java.lang.Class<?>[] expectedParamTypes)

Description copied from class: `javax.el.ExpressionFactory`
Create a new method expression instance.

Specified by:
  `createMethodExpression` in class `ExpressionFactory`
Parameters:
  `context` - The EL context for this evaluation
  `expression` - The String representation of the method expression
  `expectedReturnType` - The expected type of the result of invoking the method
  `expectedParamTypes` - The expected types of the input parameters
Returns:
  A new method expression formed from the input parameters.

#### createValueExpression

    public ValueExpression createValueExpression​(ELContext context,
                                                 java.lang.String expression,
                                                 java.lang.Class<?> expectedType)

Description copied from class: `javax.el.ExpressionFactory`
Create a new value expression.

Specified by:
  `createValueExpression` in class `ExpressionFactory`
Parameters:
  `context` - The EL context for this evaluation
  `expression` - The String representation of the value expression
  `expectedType` - The expected type of the result of evaluating the expression
Returns:
  A new value expression formed from the input parameters

#### createValueExpression

    public ValueExpression createValueExpression​(java.lang.Object instance,
                                                 java.lang.Class<?> expectedType)

Specified by:
  `createValueExpression` in class `ExpressionFactory`

#### getStreamELResolver

    public ELResolver getStreamELResolver()

Overrides:
  `getStreamELResolver` in class `ExpressionFactory`
Returns:
  This default implementation returns null